Subject: Re: bug#39546: 28.0.50; Do not require subr-x at run time

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Feb 2020 12:16:26 +0200

> From: Tino Calancha <[email-masked]>
> Cc: [email-masked],  Eli Zaretskii <[email-masked]>,
>   [email-masked],  [email-masked]
> Date: Mon, 10 Feb 2020 22:00:21 +0100
> 
> Tino Calancha <[email-masked]> writes:
> 
> >> I have run the testsuite without surprises.
> > Well, actually there was a surprise, but who don't like surprises after
> > all!
> Well, I must recognize I am one of those guys who doesn't like
> surprises.  It seems `when-let' became very popular these days.
> 
> Here is the updated patch.  It takes in account all usages of `when-let'
> once dropped the cookie.

Thanks.

Are we talking about doing these changes on master?  Because I think
such wide-sweeping changes that aren't bugfixes are not really
appropriate for the release branch.  If you want to move
replace-region-contents to replace.el on emacs-27, I agree, but all
the rest should go to master, I think.